Profiles - Get

Gets an Azure Front Door Standard or Azure Front Door Premium or CDN profile with the specified profile name under the specified subscription and resource group.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cdn/profiles/{profileName}?api-version=2025-04-15

URI Parameters

Name In Required Type Description
profileName
path True

string

Name of the Azure Front Door Standard or Azure Front Door Premium or CDN profile which is unique within the resource group.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Profile

OK. The request has succeeded.

Other Status Codes

ErrorResponse

CDN error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Profiles_Get

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/RG/providers/Microsoft.Cdn/profiles/profile1?api-version=2025-04-15

Sample response

{
  "name": "profile1",
  "id": "/subscriptions/subid/resourcegroups/RG/providers/Microsoft.Cdn/profiles/profile1",
  "type": "Microsoft.Cdn/profiles",
  "tags": {},
  "location": "global",
  "sku": {
    "name": "Premium_AzureFrontDoor"
  },
  "kind": "frontdoor",
  "properties": {
    "originResponseTimeoutSeconds": 30,
    "logScrubbing": {
      "state": "Enabled",
      "scrubbingRules": []
    },
    "frontDoorId": "3b4682da-b3e2-47a1-96ca-08ab3cb7294e",
    "provisioningState": "Succeeded",
    "resourceState": "Active"
  }
}

Definitions

Name Description
scrubbingRuleEntryMatchOperator

When matchVariable is a collection, operate on the selector to specify which elements in the collection this rule applies to.

scrubbingRuleEntryState

Defines the state of a log scrubbing rule. Default value is enabled.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Profile

A profile is a logical grouping of endpoints that share the same settings.

ProfileLogScrubbing

Defines rules that scrub sensitive fields in the Azure Front Door profile logs.

ProfileProvisioningState

Provisioning status of the profile.

ProfileResourceState

Resource status of the profile.

ProfileScrubbingRules

Defines the contents of the log scrubbing rules.

ProfileScrubbingState

State of the log scrubbing config. Default value is Enabled.

scrubbingRuleEntryMatchVariable

The variable to be scrubbed from the logs.

Sku

Standard_Verizon = The SKU name for a Standard Verizon CDN profile. Premium_Verizon = The SKU name for a Premium Verizon CDN profile. Custom_Verizon = The SKU name for a Custom Verizon CDN profile. Standard_Akamai = The SKU name for an Akamai CDN profile. Standard_ChinaCdn = The SKU name for a China CDN profile for VOD, Web and download scenarios using GB based billing model. Standard_Microsoft = The SKU name for a Standard Microsoft CDN profile. Standard_AzureFrontDoor = The SKU name for an Azure Front Door Standard profile. Premium_AzureFrontDoor = The SKU name for an Azure Front Door Premium profile. Standard_955BandWidth_ChinaCdn = The SKU name for a China CDN profile for VOD, Web and download scenarios using 95-5 peak bandwidth billing model. Standard_AvgBandWidth_ChinaCdn = The SKU name for a China CDN profile for VOD, Web and download scenarios using monthly average peak bandwidth billing model. StandardPlus_ChinaCdn = The SKU name for a China CDN profile for live-streaming using GB based billing model. StandardPlus_955BandWidth_ChinaCdn = The SKU name for a China CDN live-streaming profile using 95-5 peak bandwidth billing model. StandardPlus_AvgBandWidth_ChinaCdn = The SKU name for a China CDN live-streaming profile using monthly average peak bandwidth billing model.

SkuName

Name of the pricing tier.

systemData

Metadata pertaining to creation and last modification of the resource.

UserAssignedIdentity

User assigned identity properties

scrubbingRuleEntryMatchOperator

When matchVariable is a collection, operate on the selector to specify which elements in the collection this rule applies to.

Value Description
EqualsAny

scrubbingRuleEntryState

Defines the state of a log scrubbing rule. Default value is enabled.

Value Description
Enabled
Disabled

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

userAssignedIdentities

<string,  UserAssignedIdentity>

The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Value Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

Profile

A profile is a logical grouping of endpoints that share the same settings.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities).

kind

string

Kind of the profile. Used by portal to differentiate traditional CDN profile and new AFD profile.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.extendedProperties

object

Key-Value pair representing additional properties for profiles.

properties.frontDoorId

string

The Id of the frontdoor.

properties.logScrubbing

ProfileLogScrubbing

Defines rules that scrub sensitive fields in the Azure Front Door profile logs.

properties.originResponseTimeoutSeconds

integer (int32)

minimum: 16
exclusiveMinimum: False

Send and receive timeout on forwarding request to the origin. When timeout is reached, the request fails and returns.

properties.provisioningState

ProfileProvisioningState

Provisioning status of the profile.

properties.resourceState

ProfileResourceState

Resource status of the profile.

sku

Sku

The pricing tier (defines Azure Front Door Standard or Premium or a CDN provider, feature list and rate) of the profile.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ProfileLogScrubbing

Defines rules that scrub sensitive fields in the Azure Front Door profile logs.

Name Type Description
scrubbingRules

ProfileScrubbingRules[]

List of log scrubbing rules applied to the Azure Front Door profile logs.

state

ProfileScrubbingState

State of the log scrubbing config. Default value is Enabled.

ProfileProvisioningState

Provisioning status of the profile.

Value Description
Succeeded
Failed
Updating
Deleting
Creating

ProfileResourceState

Resource status of the profile.

Value Description
Creating
Active
Deleting
Disabled
Migrating
Migrated
PendingMigrationCommit
CommittingMigration
AbortingMigration

ProfileScrubbingRules

Defines the contents of the log scrubbing rules.

Name Type Description
matchVariable

scrubbingRuleEntryMatchVariable

The variable to be scrubbed from the logs.

selector

string

When matchVariable is a collection, operator used to specify which elements in the collection this rule applies to.

selectorMatchOperator

scrubbingRuleEntryMatchOperator

When matchVariable is a collection, operate on the selector to specify which elements in the collection this rule applies to.

state

scrubbingRuleEntryState

Defines the state of a log scrubbing rule. Default value is enabled.

ProfileScrubbingState

State of the log scrubbing config. Default value is Enabled.

Value Description
Enabled
Disabled

scrubbingRuleEntryMatchVariable

The variable to be scrubbed from the logs.

Value Description
RequestIPAddress
RequestUri
QueryStringArgNames

Sku

Standard_Verizon = The SKU name for a Standard Verizon CDN profile. Premium_Verizon = The SKU name for a Premium Verizon CDN profile. Custom_Verizon = The SKU name for a Custom Verizon CDN profile. Standard_Akamai = The SKU name for an Akamai CDN profile. Standard_ChinaCdn = The SKU name for a China CDN profile for VOD, Web and download scenarios using GB based billing model. Standard_Microsoft = The SKU name for a Standard Microsoft CDN profile. Standard_AzureFrontDoor = The SKU name for an Azure Front Door Standard profile. Premium_AzureFrontDoor = The SKU name for an Azure Front Door Premium profile. Standard_955BandWidth_ChinaCdn = The SKU name for a China CDN profile for VOD, Web and download scenarios using 95-5 peak bandwidth billing model. Standard_AvgBandWidth_ChinaCdn = The SKU name for a China CDN profile for VOD, Web and download scenarios using monthly average peak bandwidth billing model. StandardPlus_ChinaCdn = The SKU name for a China CDN profile for live-streaming using GB based billing model. StandardPlus_955BandWidth_ChinaCdn = The SKU name for a China CDN live-streaming profile using 95-5 peak bandwidth billing model. StandardPlus_AvgBandWidth_ChinaCdn = The SKU name for a China CDN live-streaming profile using monthly average peak bandwidth billing model.

Name Type Description
name

SkuName

Name of the pricing tier.

SkuName

Name of the pricing tier.

Value Description
Standard_Verizon
Premium_Verizon
Custom_Verizon
Standard_Akamai
Standard_ChinaCdn
Standard_Microsoft
Standard_AzureFrontDoor
Premium_AzureFrontDoor
Standard_955BandWidth_ChinaCdn
Standard_AvgBandWidth_ChinaCdn
StandardPlus_ChinaCdn
StandardPlus_955BandWidth_ChinaCdn
StandardPlus_AvgBandWidth_ChinaCdn

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UserAssignedIdentity

User assigned identity properties

Name Type Description
clientId

string (uuid)

The client ID of the assigned identity.

principalId

string (uuid)

The principal ID of the assigned identity.